Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.bag.kernel
Class SimpleBagKernel<V extends MLVector<?>,B extends BagOfVector<V>>

    java.lang.Object
      fr.lip6.kernel.Kernel<B>
          fr.lip6.bag.kernel.SimpleBagKernel<V,B>

Type Parameters:
  `V` - type of vectors in input space.
  `B` - type of bag of vectors.

All Implemented Interfaces:
  java.io.Serializable

    public class SimpleBagKernel<V extends MLVector<?>,B extends BagOfVector<V>>

extends Kernel<B>

Simpleest kernel on bag of vectors : sum of all possible combinations between elements of the two bags.

Author:
  dpicard
See Also:
  Serialized Form

Constructor Summary
`SimpleBagKernel(Kernel<V> minorKernel)` Constructor with minor kernel

Method Summary
`double` | `valueOf(B b1)` kernel similarity to zero
`double` | `valueOf(B b1, B b2)` compute the kernel similarity between two element of input space

Methods inherited from class fr.lip6.kernel.Kernel
`NormalizedValueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBagKernel

    public SimpleBagKernel(Kernel<V> minorKernel)

  Constructor with minor kernel

  Parameters:
    `minorKernel` - the kernel to be used in similarities between elements of the bags.

Method Detail

### valueOf

    public double valueOf(B b1,
                          B b2)

  Description copied from class: `Kernel`
  compute the kernel similarity between two element of input space

  Specified by:
    `valueOf` in class `Kernel<B extends BagOfVector<V>>`
  Parameters:
    `b1` - first element
    `b2` - second element
  Returns:
    the kernel value

### valueOf

    public double valueOf(B b1)

  Description copied from class: `Kernel`
  kernel similarity to zero

  Specified by:
    `valueOf` in class `Kernel<B extends BagOfVector<V>>`
  Parameters:
    `b1` - the element to compute the similarity to zero

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD